Bug 1422687 - Kernel loader EXTLINUX do not work
Summary: Kernel loader EXTLINUX do not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: syslinux
Version: 25
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 21:48 UTC by Iskatel
Modified: 2017-12-14 09:21 UTC (History)
3 users (show)

Fixed In Version: syslinux-6.04-0.7.fc27 syslinux-6.04-0.7.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 05:06:07 UTC


Attachments (Terms of Use)

Description Iskatel 2017-02-15 21:48:37 UTC
Hi!
A problem in package syslinux-extlinux-6.04-0.1.fc25.i686

I installed kernel loader EXTLINUX to partition with file ssystem ext4 by command "extlinux --install /boot"

When I try to load from this partition, I receive message:

SYSLINUX 6.04 EDD  Copyright (C) 1994-2015 H. Peter Anvin et al

Failed to load ldlinux.c32

Comment 1 Robert Scheck 2017-03-25 02:13:17 UTC
Can you please check if your /boot partition has ^64bit turned on? If so,
I would say this is a duplicate of bug #1369934 (no ext4 64bit support in
syslinux).

Comment 2 Iskatel 2017-05-10 23:18:16 UTC
Thanks! Remove partition option 64bit by tool tune2fs desides this problem.

Comment 3 Fedora End Of Life 2017-11-16 19:28:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora Update System 2017-11-26 02:30:12 UTC
syslinux-6.04-0.7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e8e9bcb0f

Comment 5 Fedora Update System 2017-11-27 04:33:46 UTC
syslinux-6.04-0.7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e8e9bcb0f

Comment 6 Fedora Update System 2017-11-28 07:23:41 UTC
syslinux-6.04-0.7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9fb12e2aa

Comment 7 Fedora Update System 2017-12-10 05:06:07 UTC
syslinux-6.04-0.7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-12-14 09:21:13 UTC
syslinux-6.04-0.7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.